/*
 * lcd_config.h
 *
 *  Created on: 23.03.2019
 *      Author: harry
 */

#ifndef LCD_CONFIG_H_
#define LCD_CONFIG_H_

/**********************************************************************************
 * select your LCD-Type here
 * see lcd_map.inc for supported displays!
 *
 **********************************************************************************/

#define LCD_TYPE	LCD20X4

/**********************************************************************************
 * select PCF8574 or PCF8574A
 * the 2 chips only differs in baseaddress
 **********************************************************************************/

#define PCF8574_TYPE	PCF8574

/**********************************************************************************
 * this is the jumper-setting on the i2c-subboard.
 * an open jumper means 1 - a closed jumper is 0
 * by default there is no jumper installed which means address 7
 **********************************************************************************/

#define LCD_ADR	7		// selected by jumpers

/**********************************************************************************
 * general defines
 * don't change!
 *
 **********************************************************************************/

/**********************************************************************************
 * there are 2 different PCF8574 in the wild
 * they differ in their base-address
 *
 **********************************************************************************/
#define	PCF8574			(1)
#define PCF8574A		(2)

/**********************************************************************************
 * each display-type needs a unique number
 * you can define your own custom-display in lcd_map.h
 *
 **********************************************************************************/

#define LCD20X4			(1)
#define LCD16X2			(2)
#define LCD20X2			(3)
#define LCD16X2_OLED	(4)
#define	LCD8X2			(5)
#define	LCD8X2_OLED		(6)

#endif /* LCD_CONFIG_H_ */
